# DrupalCon Code of Conduct

DrupalCon brings together people from around the world who use, develop, design, and support the Drupal platform. Many attendees at DrupalCon are newcomers evaluating both our platform and our community.

The Drupal Code of Conduct ([http://drupal.org/dcoc](http://drupal.org/dcoc)) outlines our shared ideals and values. This document expresses how we hope to make these ideals real at our conferences and other events. Our goal is to ensure that all participants can freely and openly share ideas in a friendly, safe, and welcoming environment that encourages and inspires mutual respect and collaboration.

## Come for the software, stay for the community

Drupal would simply not exist without its community. We want all attendees at DrupalCon to have an awesome experience, both in and out of formal conference sessions. The purpose of this document is not to restrict the diversity of ideas and expression in the Drupal community; rather, it's to raise awareness of the potential for actions that could alienate valuable members — and potential members — of the community.

## We are considerate

DrupalCon is an international event that attracts diverse people from a wide variety of ethnic, cultural, and religious backgrounds. We acknowledge that cross-cultural communication can often be complicated and encourage everyone to consider both the impact of their actions on those with different backgrounds and experiences and the honest intentions of those who may have unknowingly caused offense.

## We are welcoming

One of the greatest strengths of the Drupal community is our inclusiveness. Making all attendees feel welcome and included at DrupalCon is everyone’s job, including exhibitors and sponsors.

## We are respectful

Sponsors, volunteers, speakers, attendees, and other participants should strive to treat all people with dignity and respect, regardless of their culture, religion, physical appearance, disability, race, ethnicity, gender, or sexual orientation.

## We are collaborative

If and when misunderstandings occur, we encourage people to work things out between themselves whenever possible. People are encouraged to take responsibility for their words and actions and listen to constructively-presented criticism with an open mind, courtesy, and respect.

## When we disagree, we consult others

If people are unable to work out issues between themselves, they are encouraged to seek the advice of a mutually trusted third party or a designated community volunteer to help mediate.

You may contact the Drupal Community Working Group to help mediate or resolve issues via email at [drupal-cwg@drupal.org](mailto:drupal-cwg@drupal.org) or with an [online incident report](https://www.drupal.org/governance/community-working-group/incident-report).

## When we need it, we ask for help

We do not tolerate harassment of conference participants in any form. If you feel threatened or violated as a result of intimidating, harassing, abusive, discriminatory, derogatory or demeaning conduct, please immediately notify a conference staff member. Likewise, please immediately notify a staff member if you notice that someone else is being subjected to such behavior.

The DrupalCon team wants everyone to feel safe for the duration of the conference. If necessary, conference staff are empowered to take appropriate actions that may include, but are not limited to, warnings, expulsion from the conference without refund, and referrals to venue security or local law enforcement.

## We’re all in this together

Thanks for making DrupalCon awesome for everyone!

The DrupalCon Code of Conduct is licensed under a Creative Commons Attribution 3.0 Unported License ([http://creativecommons.org/licenses/by-sa/3.0/](http://creativecommons.org/licenses/by-sa/3.0/)) and is available for others to use and adapt for their own events.
